aboutsummaryrefslogtreecommitdiffstats
path: root/community/cppcheck/APKBUILD
diff options
context:
space:
mode:
authorAndré Klitzing <aklitzing@gmail.com>2017-04-01 14:19:06 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-04-08 21:04:58 +0000
commitad5b248751f7f054130a42a4bfda9916f5d9cc66 (patch)
tree5ab8923a109319aac3c8ac7be067438c7919542e /community/cppcheck/APKBUILD
parentde5d32ca28c55003f3ada9a518c9d6d6a1a93e98 (diff)
downloadaports-ad5b248751f7f054130a42a4bfda9916f5d9cc66.tar.gz
aports-ad5b248751f7f054130a42a4bfda9916f5d9cc66.tar.bz2
aports-ad5b248751f7f054130a42a4bfda9916f5d9cc66.tar.xz
community/cppcheck: upgrade to 1.78
* Add check function * Add noarch to htmlreport
Diffstat (limited to 'community/cppcheck/APKBUILD')
-rw-r--r--community/cppcheck/APKBUILD15
1 files changed, 8 insertions, 7 deletions
diff --git a/community/cppcheck/APKBUILD b/community/cppcheck/APKBUILD
index 1ee475052f..a90a4c3f8b 100644
--- a/community/cppcheck/APKBUILD
+++ b/community/cppcheck/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: August Klein <amatcoder@gmail.com>
# Maintainer: André Klitzing <aklitzing@gmail.com>
pkgname=cppcheck
-pkgver=1.77
+pkgver=1.78
pkgrel=0
pkgdesc="A static analysis tool for C/C++ code"
url="http://cppcheck.sourceforge.net"
@@ -9,7 +9,7 @@ arch="all"
license="GPL3"
depends=""
makedepends="docbook-xsl pcre-dev qt5-qttools-dev"
-subpackages="$pkgname-doc $pkgname-htmlreport $pkgname-gui"
+subpackages="$pkgname-doc $pkgname-htmlreport::noarch $pkgname-gui"
source="$pkgname-$pkgver.tar.gz::https://github.com/danmar/cppcheck/archive/$pkgver.tar.gz
set_datadir.patch"
builddir="$srcdir/$pkgname-$pkgver"
@@ -24,6 +24,11 @@ build() {
make SRCDIR=build CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes || return 1
}
+check() {
+ cd "$builddir"
+ make SRCDIR=build check || return 1
+}
+
package() {
cd "$builddir"
make DESTDIR="$pkgdir" CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes install || return 1
@@ -52,9 +57,5 @@ gui() {
mv gui/cppcheck*.qm "$subpkgdir"/usr/share/cppcheck/lang/
}
-md5sums="33bd1996ad9a68221266662b3d6cc48b cppcheck-1.77.tar.gz
-24f448e5821494d4f02d44551aa8cb0a set_datadir.patch"
-sha256sums="76ae0a9b556a93c79365cf8bd5f276c30e3327c4ca78283b5c2dbbddc135c2ba cppcheck-1.77.tar.gz
-993e9426221624f59f2e22a814af03097976a3fded7c06f57bf702d532e7bcef set_datadir.patch"
-sha512sums="480e705225191622b2effa5ff58d21f985d1f9fb77e7be6ec878df20063c09f503e33e6162d5c55bb98ec6e14d0f682664a3ba35c380742ef8b473cb5ca3b0a0 cppcheck-1.77.tar.gz
+sha512sums="162a13e88e5a9d2a157f1212caffafcb466737afdc4523a011f8d79af9600059cf910a4fdba3b2e3c8eb627ea02143f19e034eccf0f36b2b9ba8744fa0fbf849 cppcheck-1.78.tar.gz
76f0699273347068b562d001cf6701ef3180506d21bd9298a6b1f2e522ea3c32b1cc350128a2c0b8d69b89aa3c0992b04e9d641ae170b51e3073acb3c6ca7b6e set_datadir.patch"